package main

import (
	"git.hpds.cc/Component/network/log"
	"git.hpds.cc/pavement/hpds_node"
	"os"
)

func main() {
	mq := hpds_node.NewMqWithOptions(
		"mq-2",
		hpds_node.WithMqAddr("localhost:27187"),
		hpds_node.WithAuth("token", "z2"),
	)
	defer mq.Close()

	mq.ConfigWorkflow("mq_2.yaml")

	// start mq service
	log.Printf("Server has started!, pid: %d", os.Getpid())
	go func() {
		err := mq.ListenAndServe()
		if err != nil {
			panic(err)
		}
	}()
	select {}
}
