package hpds_node

import (
	"github.com/stretchr/testify/assert"
	"testing"
	"time"
)

func TestMqRun(t *testing.T) {
	mq := NewMqWithOptions("mq", WithMqAddr("localhost:9001"))
	time.Sleep(time.Second)
	assert.NotNil(t, mq)
	err := mq.Close()
	time.Sleep(time.Second)
	assert.Nil(t, err)
}
